Name:           mediaproxy1
Version:        1.9.1
Release:        2%{?dist}
Summary:        MediaProxy is a far-end NAT traversal solution for OpenSER

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.ag-projects.com/MediaProxy.html
Source0:        http://mediaproxy.ag-projects.com/mediaproxy-%{version}.tar.gz
Source1:        mediaproxy.init
Source2:        mediaproxy.service
Source3:        proxydispatcher.service
Patch0:         mediaproxy.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

BuildRequires:  systemd-units

%description
MediaProxy is a far-end NAT traversal solution for OpenSER
(http://OpenSER.org) and SIP Express Router (http://iptel.org/ser) that has
the following features:

  - Distributed geographical location
  - Scalability, load balancing and redundancy
  - Real-time sessions statistics
  - Configurable IP and UDP port range
  - Support for audio and video streams
  - Support for multiple media streams per call
  - Accounting of network traffic


%prep
%setup -q -n mediaproxy
%patch0 -p1


%build


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediaproxy $RPM_BUILD_ROOT%{_sysconfdir}
cp -pRf log modules utils web *.py $RPM_BUILD_ROOT%{_datadir}/mediaproxy
cp -pf mediaproxy.ini.sample $RPM_BUILD_ROOT%{_sysconfdir}/mediaproxy.ini
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
#cp -pf %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/mediaproxy
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
cp -a %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_unitdir}/
cd $RPM_BUILD_ROOT%{_datadir}/mediaproxy
ln -s ../../..%{_sysconfdir}/mediaproxy.ini


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable mediaproxy.service > /dev/null 2>&1 || :
    /bin/systemctl stop mediaproxy.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable proxydispatcher.service > /dev/null 2>&1 || :
    /bin/systemctl stop proxydispatcher.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart mediaproxy.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart proxydispatcher.service >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc Changelog INSTALL README LICENSE dictionary mediaproxy.ini.sample
%config(noreplace) %{_sysconfdir}/mediaproxy.ini
#%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/mediaproxy
%{_unitdir}/*.service
%{_datadir}/mediaproxy


%changelog
* Tue Jan 31 2012 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.9.1-2
- systemd service files

* Tue May 6 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.9.1-1
- update to upstream

* Tue Aug 28 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.9.0-1
- initial release
